org.apache.ignite.internal.visor.verify

## Class ValidateIndexesPartitionResult

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.verify.ValidateIndexesPartitionResult

All Implemented Interfaces:
  Externalizable, Serializable

    public class ValidateIndexesPartitionResult
    extends VisorDataTransferObject

Encapsulates intermediate results of validation of SQL index (if `sqlIdxName` is present) or partition.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3`

### Constructor Summary

Constructors
Constructor and Description
`ValidateIndexesPartitionResult()`
`ValidateIndexesPartitionResult(long updateCntr, long size, boolean isPrimary, Object consistentId, String sqlIdxName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `consistentId()`
`byte` `getProtocolVersion()`
`List<IndexValidationIssue>` `issues()`
`boolean` `primary()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`boolean` `reportIssue(IndexValidationIssue t)`
`long` `size()`
`String` `sqlIndexName()`
`String` `toString()`
`long` `updateCntr()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ValidateIndexesPartitionResult

    public ValidateIndexesPartitionResult()

#### ValidateIndexesPartitionResult

    public ValidateIndexesPartitionResult(long updateCntr,
                                          long size,
                                          boolean isPrimary,
                                          Object consistentId,
                                          String sqlIdxName)

Parameters:
  `updateCntr` - Update counter.
  `size` - Size.
  `isPrimary` - Is primary.
  `consistentId` - Consistent id.
  `sqlIdxName` - Sql index name (optional).

### Method Detail

#### updateCntr

    public long updateCntr()

#### size

    public long size()

#### primary

    public boolean primary()

#### consistentId

    public Object consistentId()

#### issues

    public List<IndexValidationIssue> issues()

#### sqlIndexName

    public String sqlIndexName()

Returns:
  `null` for partition validation result, SQL index name for index validation result

#### reportIssue

    public boolean reportIssue(IndexValidationIssue t)

Parameters:
  `t` - Issue.
Returns:
  True if there are already enough issues.

#### getProtocolVersion

    public byte getProtocolVersion()

Overrides:
  `getProtocolVersion` in class `VisorDataTransferObject`
Returns:
  Transfer object version.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019